unit AutoTstU;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Spin, Buttons;

type
  TForm1 = class(TForm)
    SpinEdit1: TSpinEdit;
    RefreshButton: TSpeedButton;
    procedure FormCreate(Sender: TObject);
    procedure RefreshButtonClick(Sender: TObject);
    procedure SpinEdit1Change(Sender: TObject);
  private
    AutoServer: Variant;
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

uses
  OleAuto;

var
  AutoOleServer: Variant;

procedure TForm1.FormCreate(Sender: TObject);
begin
  try
    AutoOleServer := CreateOleObject('Auto.Server');
  except
    MessageDlg(
      'An instance of the "Auto.Server" OLE Automation class ' +
      'could not be created. Make sure that the Auto application has ' +
      'been registered using a "Auto /regserver" command line.',
      mtError, [mbOk], 0);
    Application.ShowMainForm := False;
    Application.Terminate;
  end;
end;

procedure TForm1.RefreshButtonClick(Sender: TObject);
begin
  SpinEdit1.Value := AutoOleServer.Value;
end;

procedure TForm1.SpinEdit1Change(Sender: TObject);
begin
  if SpinEdit1.Text <> '' then
    AutoOleServer.Value := SpinEdit1.Value;
end;

end.
