unit AutoU2;

interface

uses
  OleAuto;

type
  TServer = class(TAutoObject)
  private
    { Private declarations }
    procedure SetValue(const Val: String);
    function GetValue: String;
  automated
    { Automated declarations }
    property Value: String read GetValue write SetValue;
  end;

implementation

uses AutoU1;

procedure TServer.SetValue(const Val: String);
begin
  Form1.Edit1.Text := Val;
end;

function TServer.GetValue: String;
begin
  Result := Form1.Edit1.Text;
end;

procedure RegisterTGroovy;
const
  AutoClassInfo: TAutoClassInfo = (
    AutoClass: TServer;
    ProgID: 'Auto.Server';
    ClassID: '{136670A0-5CCF-11CF-882B-444553540000}';
    Description: 'Delphi 2 OLE Automation Server';
    Instancing: acSingleInstance);
begin
  Automation.RegisterClass(AutoClassInfo);
end;

initialization
  RegisterTGroovy;
end.
