unit Exeu;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls, Spin, Menus;

type
  TForm1 = class(TForm)
    S1: TSpinEdit;
    S2: TSpinEdit;
    Label1: TLabel;
    procedure ValChange(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

const
  DLLName = 'DLL'{$ifdef Win32}+'.DLL'{$endif};

function Power(X, Y: Double): Double; far;
  external DLLName {$ifdef Win32}name 'Pow'{$else}index 7{$endif};

procedure TForm1.ValChange(Sender: TObject);
begin
  if (S1.Text = '') or (S2.Text = '') then
    Label1.Caption := 'N/A'
  else if S1.Value < 0 then
    Label1.Caption := 'Powers of negative numbers not supported'
  else
    Label1.Caption := FloatToStr(Power(S1.Value, S2.Value));
end;

end.
