unit AutoClientMainForm;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  Buttons, StdCtrls, Spin;

type
  TForm1 = class(TForm)
    SpinEdit1: TSpinEdit;
    SpeedButton1: TSpeedButton;
    procedure FormCreate(Sender: TObject);
    procedure SpeedButton1Click(Sender: TObject);
    procedure SpinEdit1Change(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}


uses
{$ifdef Ver90} //Delphi 2.0x
  OLEAuto;
{$else}
  {$ifdef Ver93} //Borland C++ Builder 1.0
  OLEAuto;
  {$else}
  ComObj; //Delphi 3 and onwards (VER100 up...)
  {$endif}
{$endif}

var
  //This is a variant and uses the IDispatch.Invoke method
  //When OLE properties/methods are accessed, they are packaged
  //into calls to VarDispInvoke in OLEAuto or ComObj
  AutoOleServer: Variant;

procedure TForm1.FormCreate(Sender: TObject);
begin
  try
    AutoOleServer := CreateOleObject('Auto.EditValue');
  except
    MessageDlg(
      'An instance of the "Auto.EditValue" OLE Automation class ' +
      'could not be created. Make sure that the Auto application has ' +
      'been registered using a "Auto /regserver" command line.',
      mtError, [mbOk], 0);
    Application.ShowMainForm := False;
    Application.Terminate;
  end;
end;

procedure TForm1.SpeedButton1Click(Sender: TObject);
begin
  SpinEdit1.Value := AutoOleServer.Text;
end;

procedure TForm1.SpinEdit1Change(Sender: TObject);
begin
  if SpinEdit1.Text <> '' then
    AutoOleServer.Text := SpinEdit1.Value;
end;

end.
