unit Auto_TLB;

{ This file contains pascal declarations imported from a type library.
  This file will be written during each import or refresh of the type
  library editor.  Changes to this file will be discarded during the
  refresh process. }

{ Auto Library }
{ Version 1.0 }

interface

uses Windows, ActiveX, Classes, Graphics, OleCtrls, StdVCL;

const
  LIBID_Auto: TGUID = '{CAE407A3-AAC7-11D0-9FEA-E45EE141EA44}';

const

{ Component class GUIDs }
  Class_EditValue: TGUID = '{CAE407A5-AAC7-11D0-9FEA-E45EE141EA44}';

type

{ Forward declarations: Interfaces }
  IEditValue = interface;
  IEditValueDisp = dispinterface;

{ Forward declarations: CoClasses }
  EditValue = IEditValue;

{ Dispatch interface for EditValue Object }

  IEditValue = interface(IDispatch)
    ['{CAE407A4-AAC7-11D0-9FEA-E45EE141EA44}']
    function Get_Text: WideString; safecall;
    procedure Set_Text(const Value: WideString); safecall;
    property Text: WideString read Get_Text write Set_Text;
  end;

{ DispInterface declaration for Dual Interface IEditValue }

  IEditValueDisp = dispinterface
    ['{CAE407A4-AAC7-11D0-9FEA-E45EE141EA44}']
    property Text: WideString dispid 1;
  end;

{ EditValue OLE Object }

  CoEditValue = class
    class function Create: IEditValue;
    class function CreateRemote(const MachineName: string): IEditValue;
  end;



implementation

uses ComObj;

class function CoEditValue.Create: IEditValue;
begin
  Result := CreateComObject(Class_EditValue) as IEditValue;
end;

class function CoEditValue.CreateRemote(const MachineName: string): IEditValue;
begin
  Result := CreateRemoteComObject(MachineName, Class_EditValue) as IEditValue;
end;


end.
