unit DataServer_TLB;

{ This file contains pascal declarations imported from a type library.
  This file will be written during each import or refresh of the type
  library editor.  Changes to this file will be discarded during the
  refresh process. }

{ DataServer Library }
{ Version 1.0 }

interface

uses Windows, ActiveX, Classes, Graphics, OleCtrls, StdVCL;

const
  LIBID_DataServer: TGUID = '{51043D2D-AB75-11D0-9FEA-0060978E1359}';

const

{ Component class GUIDs }
  Class_Customers: TGUID = '{51043D2F-AB75-11D0-9FEA-0060978E1359}';

type

{ Forward declarations: Interfaces }
  ICustomers = interface;
  ICustomersDisp = dispinterface;

{ Forward declarations: CoClasses }
  Customers = ICustomers;

{ Dispatch interface for Customers Object }

  ICustomers = interface(IDataBroker)
    ['{51043D2E-AB75-11D0-9FEA-0060978E1359}']
    function Get_CustomerProvider: IProvider; safecall;
    property CustomerProvider: IProvider read Get_CustomerProvider;
  end;

{ DispInterface declaration for Dual Interface ICustomers }

  ICustomersDisp = dispinterface
    ['{51043D2E-AB75-11D0-9FEA-0060978E1359}']
    function GetProviderNames: OleVariant; dispid 22929905;
    property CustomerProvider: IProvider readonly dispid 1;
  end;

{ CustomersObject }

  CoCustomers = class
    class function Create: ICustomers;
    class function CreateRemote(const MachineName: string): ICustomers;
  end;



implementation

uses ComObj;

class function CoCustomers.Create: ICustomers;
begin
  Result := CreateComObject(Class_Customers) as ICustomers;
end;

class function CoCustomers.CreateRemote(const MachineName: string): ICustomers;
begin
  Result := CreateRemoteComObject(MachineName, Class_Customers) as ICustomers;
end;


end.
