unit CheckListBoxMainForm;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Spin, checklst, ComCtrls;

type
  TForm1 = class(TForm)
    CheckListBox1: TCheckListBox;
    UpDown1: TUpDown;
    Button1: TButton;
    ListBox1: TListBox;
    procedure UpDown1Click(Sender: TObject; Button: TUDBtnType);
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.UpDown1Click(Sender: TObject; Button: TUDBtnType);
begin
  with CheckListBox1, Items do
    if Button = btNext then
      Add(IntToStr(Succ(Count)))
    else
      if Count > 0 then
        Delete(Pred(Count))
end;

procedure TForm1.Button1Click(Sender: TObject);
var
  Loop: Integer;
const
  States: array[Boolean] of String = ('not ', '');
begin
  ListBox1.Clear;
  with CheckListBox1, Items do
    for Loop := 0 to Pred(Count) do
      ListBox1.Items.Add(Format('Item %d is %schecked',
        [Succ(Loop), States[Checked[Loop]]]))
end;

end.
